<link rel="import" href="../../../html/polymer.html">

<link rel="import" href="../../../html/i18n_behavior.html">
<link rel="import" href="base_page.html">
<link rel="import" href="cellular_setup_delegate.html">

<dom-module id="final-page">
  <template>
    <style>
      [slot='page-body'] {
        background-image: -webkit-image-set(
            url(final_page_success_1x.png) 1x,
            url(final_page_success_2x.png) 2x);
        background-position: center center;
        background-repeat: no-repeat;
        background-size: contain;
      }

      .error[slot='page-body'] {
          background-image: -webkit-image-set(
              url(error_1x.png) 1x,
              url(error_2x.png) 2x);
          background-size: contain;
      }
    </style>
    <base-page title="[[getTitle_(showError)]]"
        message="[[getMessage_(showError)]]">
      <div class$="[[getPageBodyClass_(showError)]]" slot="page-body"></div>
    </base-page>
  </template>
  <script src="final_page.js"></script>
</dom-module>
